commit:     7cc65abb769f2d57c5d821eab83ae150a9b5b213
Author:     sam <sam <AT> cmpct <DOT> info>
AuthorDate: Mon Jul 31 21:34:24 2017 +0000
Commit:     Mikhail Pukhlikov <cynede <AT> gentoo <DOT> org>
CommitDate: Mon Jul 31 21:34:24 2017 +0000
URL:        https://gitweb.gentoo.org/proj/dotnet.git/commit/?id=7cc65abb

dev-dotnet/smartirc4net: add 1.1

 dev-dotnet/smartirc4net/files/1.1-no-tests.patch | 11 +++++++
 dev-dotnet/smartirc4net/smartirc4net-1.1.ebuild  | 39 ++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-dotnet/smartirc4net/files/1.1-no-tests.patch 
b/dev-dotnet/smartirc4net/files/1.1-no-tests.patch
new file mode 100644
index 0000000..14af066
--- /dev/null
+++ b/dev-dotnet/smartirc4net/files/1.1-no-tests.patch
@@ -0,0 +1,11 @@
+--- SmartIrc4net.sln   2015-07-24 10:08:01.000000000 +0100
++++ SmartIrc4net.new   2017-07-31 01:57:00.141310413 +0100
+@@ -11,8 +11,6 @@
+ EndProject
+ Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "StarkSoftProxy", 
"src\starksoftproxy\StarkSoftProxy.csproj", 
"{3F8CF2C1-EA37-444F-8693-A3A00B1131D2}"
+ EndProject
+-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "tests", 
"tests\tests.csproj", "{154D83B3-A162-4886-B358-6188DBE376D7}"
+-EndProject
+ Global
+       GlobalSection(SolutionConfigurationPlatforms) = preSolution
+               Release|Any CPU = Release|Any CPU

diff --git a/dev-dotnet/smartirc4net/smartirc4net-1.1.ebuild 
b/dev-dotnet/smartirc4net/smartirc4net-1.1.ebuild
new file mode 100644
index 0000000..85eec35
--- /dev/null
+++ b/dev-dotnet/smartirc4net/smartirc4net-1.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit mono-env dotnet autotools git-r3
+
+HOMEPAGE="http://www.smuxi.org/page/Download";
+EGIT_REPO_URI="https://github.com/meebey/SmartIrc4net";
+# https://github.com/meebey/SmartIrc4net/releases/tag/1.1
+EGIT_COMMIT="c00ddb2c5116c95015180150121e2f169b5a8a62"
+
+SRC_URI="https://github.com/meebey/SmartIrc4net/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+DESCRIPTION="Multi-threaded and thread-safe IRC library written in C#"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+LICENSE="|| ( LGPL-2.1 LGPL-3 )"
+
+RDEPEND=">=dev-lang/mono-4.0.2.5
+       sys-fs/fuse"
+
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+
+#S="${WORKDIR}"
+MY_PN="SmartIrc4net"
+
+src_prepare() {
+       default
+
+       eapply_user
+       # Cannot compile NUnit (2017-07-31)
+       epatch "${FILESDIR}/${PV}-no-tests.patch"
+       AT_M4DIR="${S}" eautoreconf
+}
+
+src_compile() {
+       exbuild SmartIrc4net.sln
+}

Reply via email to